## EHTMLEditor

EHTMLEditor

## Functions

GtkWidget * | e_html_editor_new ()
EHTMLEditorView * | e_html_editor_get_view ()
GtkBuilder * | e_html_editor_get_builder ()
GtkUIManager * | e_html_editor_get_ui_manager ()
GtkAction * | e_html_editor_get_action ()
GtkActionGroup * | e_html_editor_get_action_group ()
GtkWidget * | e_html_editor_get_widget ()
GtkWidget * | e_html_editor_get_managed_widget ()
const gchar * | e_html_editor_get_filename ()
void | e_html_editor_set_filename ()
EActivity * | e_html_editor_new_activity ()
void | e_html_editor_pack_above ()
gboolean | e_html_editor_save ()

## Properties

gchar * | filename | Read / Write

## Signals

void | spell-languages-changed | Run Last
void | update-actions | Run Last

## Types and Values

struct | EHTMLEditor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── EHTMLEditor

## Implemented Interfaces

EHTMLEditor implements AtkImplementorIface, GtkBuildable, GtkOrientable and EAlertSink.

## Description

## Functions

### e_html_editor_new ()

    GtkWidget *
    e_html_editor_new (void);

Constructs a new EHTMLEditor.

#### Returns

A newly created widget. [transfer-full]

### e_html_editor_get_view ()

    EHTMLEditorView *
    e_html_editor_get_view (EHTMLEditor *editor);

Returns instance of EHTMLEditorView used in the `editor` .

#### Parameters

editor | an EHTMLEditor |

### e_html_editor_get_builder ()

    GtkBuilder *
    e_html_editor_get_builder (EHTMLEditor *editor);

### e_html_editor_get_ui_manager ()

    GtkUIManager *
    e_html_editor_get_ui_manager (EHTMLEditor *editor);

Returns GtkUIManager that manages all the actions in the `editor` .

#### Parameters

editor | an EHTMLEditor |

### e_html_editor_get_action ()

    GtkAction *
    e_html_editor_get_action (EHTMLEditor *editor,
                              const gchar *action_name);

#### Parameters

editor | an EHTMLEditor |
action_name | name of action to lookup and return |

#### Returns

A GtkAction matching `action_name` or `NULL` if no such action exists.

### e_html_editor_get_action_group ()

    GtkActionGroup *
    e_html_editor_get_action_group (EHTMLEditor *editor,
                                    const gchar *group_name);

#### Parameters

editor | an EHTMLEditor |
group_name | name of action group to lookup and return |

#### Returns

A GtkActionGroup matching `group_name` or `NULL` if not such action group exists.

### e_html_editor_get_widget ()

    GtkWidget *
    e_html_editor_get_widget (EHTMLEditor *editor,
                              const gchar *widget_name);

### e_html_editor_get_managed_widget ()

    GtkWidget *
    e_html_editor_get_managed_widget (EHTMLEditor *editor,
                                      const gchar *widget_path);

### e_html_editor_get_filename ()

    const gchar *
    e_html_editor_get_filename (EHTMLEditor *editor);

Returns path and name of file to which content of the editor should be saved.

#### Parameters

editor | an EHTMLEditor |

### e_html_editor_set_filename ()

    void
    e_html_editor_set_filename (EHTMLEditor *editor,
                                const gchar *filename);

Sets file to which content of the editor should be saved (see `e_html_editor_save()`).

#### Parameters

editor | an EHTMLEditor |
filename | Target file |

### e_html_editor_new_activity ()

    EActivity *
    e_html_editor_new_activity (EHTMLEditor *editor);

Creates and configures a new EActivity so its progress is shown in the `editor` . The EActivity comes pre-loaded with a CamelOperation.

#### Parameters

editor | an EHTMLEditor |

#### Returns

a new EActivity for use with `editor`

### e_html_editor_pack_above ()

    void
    e_html_editor_pack_above (EHTMLEditor *editor,
                              GtkWidget *child);

Inserts `child` right between the toolbars and the editor widget itself.

#### Parameters

editor | an EHTMLEditor |
child | a GtkWidget |

### e_html_editor_save ()

    gboolean
    e_html_editor_save (EHTMLEditor *editor,
                        const gchar *filename,
                        gboolean as_html,
                        GError **error);

Saves current content of the EHTMLEditorView into given file. When `as_html` is `FALSE` , the content is first converted into plain text.

#### Parameters

editor | an EHTMLEditor |
filename | file into which to save the content |
as_html | whether the content should be saved as HTML or plain text |
error | [out] a GError |

#### Returns

`TRUE` when content is succesfully saved, `FALSE` otherwise.

## Types and Values

### struct EHTMLEditor

    struct EHTMLEditor;

EHTMLEditor provides GUI for manipulating with properties of EHTMLEditorView and its EHTMLEditorSelection - i.e. toolbars and actions.

## Property Details

### The `“filename”` property

      “filename”                 gchar *

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“spell-languages-changed”` signal

    void
    user_function (EHTMLEditor *ehtmleditor,
                   gpointer     user_data)

Flags: Run Last

### The `“update-actions”` signal

    void
    user_function (EHTMLEditor *ehtmleditor,
                   GdkEvent    *arg1,
                   gpointer     user_data)

Flags: Run Last